apply plugin: 'com.android.application'

android {
    signingConfigs {
        config {
            keyAlias 'ASDC'
            keyPassword 'firstg@h0km'
            storeFile file('O:/projects/Workspace_Android/Keystore/locustkeystore')
            storePassword 'locustg@h0km'
        }
    }

    defaultConfig {
        applicationId "kz.istt.locust"
        minSdkVersion 15
        versionCode 103
        versionName "3.0.2"
        targetSdkVersion 34
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            signingConfig signingConfigs.config
        }
    }
    packagingOptions {
        resources {
            excludes += ['META-INF/DEPENDENCIES', 'META-INF/LICENSE']
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_21
        targetCompatibility JavaVersion.VERSION_21
    }
    namespace 'kz.istt.locust'
    compileSdk 34
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'com.google.android.material:material:1.11.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.navigation:navigation-fragment:2.0.0'
    implementation 'androidx.navigation:navigation-ui:2.0.0'
    implementation 'com.google.android.gms:play-services-maps:17.0.0'
    implementation 'com.google.android.gms:play-services-vision:20.1.2'
    implementation 'com.google.android.gms:play-services-auth:20.4.0'
    implementation 'com.google.maps.android:android-maps-utils:1.0.2'
    testImplementation 'junit:junit:4.12'
}
